<?php

/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/11/21
 * Time: 10:42
 */

namespace General\Services\User;

use General\Models\User\User;

class UserService
{
    public function companyAuthUsers(int $channel_id, string $start_time = '', string $end_time = '', array $uids = [])
    {
        $sql = User::where('distribution_channel_id', $channel_id)
            ->orderBy('id', 'desc');
        if ($start_time) {
            $sql->where('created_at', '>=', $start_time);
        }
        if ($end_time) {
            $sql->where('created_at', '<=', $end_time);
        }
        if ($uids) {
            $sql->whereIn('id', $uids);
        }
        return $sql->paginate(100);
    }
}
